// File used to prevent generating routes for content files which do not describe pages
// This is done to avoid errors during yarn generate

export const ignoredFiles = Object.freeze([
  'content/apps.yml',
  'content/synced/categories.yml',
  'content/synced/features.yml',
  'content/synced/stages.yml',
  'content/synced',

  // Landing pages:
  // These pages have children pages already migrated but an error pops up in the console as nuxt expect the parent to exist
  // These exceptions should be removed when migrating the landing page.
  'content/en-us',
  'content/en-us/gitlab-duo/index.json',
  'content/en-us/developer-survey/2024',
  'content/en-us/developer-survey/previous',
  'content/en-us/code-suggestions.yml',
  'content/en-us/lp.json',
  'content/en-us/diversity-inclusion-belonging.json',
  'content/de-de/developer-survey/2024',
  'content/de-de/features',
  'content/de-de/gitlab-duo/index.json',
  'content/es/gitlab-duo/index.json',
  'content/it-it/gitlab-duo/index.json',
  'content/ja-jp/developer-survey/2024',
  'content/ja-jp/features',
  'content/ja-jp/gitlab-duo/index.json',
  'content/fr-fr/developer-survey/2024',
  'content/fr-fr/features',
  'content/fr-fr/gitlab-duo/index.json',
  'content/pt-br/gitlab-duo/index.json',
]);

// Add here routes that are in draft mode or that due to unrelated reasons can break review apps (Be careful when pushing it to prod)
// This only works with dynamic pages (_slug.vue) as the routes of static pages such as "enterprise.vue" are generated by nuxt and there is no way to control those routes
export const ignoredRoutes = Object.freeze([]);
